> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.orinlabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Adapter



## OpenAPI

````yaml POST /api/toolbox/adapters/
openapi: 3.0.3
info:
  title: Bedrock API
  version: 1.0.0
  description: API for managing agent templates, agents, organizations, and adapter state
servers: []
security: []
paths:
  /api/toolbox/adapters/:
    post:
      tags:
        - toolbox
      operationId: toolbox_adapters_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdapterRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/AdapterRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AdapterRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Adapter'
          description: ''
      security:
        - tokenAuth: []
        - APIKeyAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    AdapterRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
        description:
          type: string
          minLength: 1
        detail_url:
          type: string
          format: uri
          maxLength: 200
        config_schema:
          description: JSON Schema defining the required config for this adapter
      required:
        - description
        - name
    Adapter:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        description:
          type: string
        detail_url:
          type: string
          format: uri
          maxLength: 200
        config_schema:
          description: JSON Schema defining the required config for this adapter
        visibility:
          allOf:
            - $ref: '#/components/schemas/AdapterVisibilityEnum'
          readOnly: true
          description: |-
            Public adapters are visible to all orgs, private only to owner.

            * `public` - Public
            * `private` - Private
        organization_id:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_at
        - description
        - id
        - name
        - organization_id
        - visibility
    AdapterVisibilityEnum:
      enum:
        - public
        - private
      type: string
      description: |-
        * `public` - Public
        * `private` - Private
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````